Summary: at job spooler
Name: at
Version: 3.1.7
Release: 2
Copyright: GPL
Group: Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/at-3.1.7.tar.gz
Source2: atd.init
Patch: at-3.1.7-lockfile.patch
Patch2: at-3.1.7-paths.patch
BuildRoot: /var/tmp/at-root
Prereq: fileutils chkconfig
Conflicts: crontabs <= 1.5

%changelog

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>

- learned to spell

* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>

- updated to at version 3.1.7
- updated lock and sequence file handling with %ghost
- Use chkconfig and atd, now conflicts with old crontabs packages

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description 
at and batch read commands from standard input or a specified file
which are to be executed at a later time, using /bin/sh.

%prep
%setup
%patch -p1 -b .lockfile
# The next path is a brute-force fix that will have to be updated
# when new versions of at are released.
%patch2 -p1 -b .paths
./configure --with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make install IROOT=$RPM_BUILD_ROOT
echo > $RPM_BUILD_ROOT/etc/at.deny
mkdir docs
cp $RPM_BUILD_ROOT/usr/doc/at/* docs/
install -o 0 -g 0 -m 755 $RPM_SOURCE_DIR/atd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/atd

for i in atq atrm batch ; do
	rm $RPM_BUILD_ROOT/usr/man/man1/${i}.1
	echo ".so man1/at.1" > $RPM_BUILD_ROOT/usr/man/man1/${i}.1
done
gzip -9 $RPM_BUILD_ROOT/usr/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%post 
touch /var/spool/at/.SEQ
chmod 600 /var/spool/at/.SEQ
chown daemon.daemon /var/spool/at/.SEQ
/sbin/chkconfig --add atd

%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del atd
fi

%files
%doc docs/*
%dir /var/spool/at
%dir /var/spool/at/spool
%config /etc/at.deny
%config /etc/rc.d/init.d/atd
%ghost /var/spool/at/.SEQ
/usr/sbin/atrun
/usr/sbin/atd
/usr/man/man8/atrun.8.gz
/usr/man/man8/atd.8.gz
/usr/man/man1/batch.1.gz
/usr/man/man1/atrm.1.gz
/usr/man/man1/atq.1.gz
/usr/man/man1/at.1.gz
/usr/bin/batch
/usr/bin/atrm
/usr/bin/atq
/usr/bin/at
